Bug 994953 - Error loading task list in SQL Server 2008
Error loading task list in SQL Server 2008
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Mauricio Salatino
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 05:49 EDT by Pedro Zapata
Modified: 2016-07-31 21:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Zapata 2013-08-08 05:49:56 EDT
An error happens trying to visualize the task list using as database, MSSqlServer.

It's apparently caused by applying select discting to a text field, which is not supported by SQL Server. 

---------------

14:57:52,743 ERROR [org.hibernate.engine.jdbc.spi.SqlExceptionHelper] (http-localhost.localdomain/127.0.0.1:8080-4) El tipo de datos text no se puede seleccionar como DISTINCT porque no es comparable.
14:57:52,749 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) org.jboss.errai.bus.client.api.base.MessageDeliveryFailure: error invoking endpoint
14:57:52,749 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.io.ConversationalEndpointCallback.callback(ConversationalEndpointCallback.java:132)
14:57:52,750 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.io.RemoteServiceCallback.callback(RemoteServiceCallback.java:54)
14:57:52,750 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.cdi.server.CDIExtensionPoints$3.callback(CDIExtensionPoints.java:512)
14:57:52,750 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.client.framework.DeliveryPlan.deliver(DeliveryPlan.java:43)
14:57:52,750 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.ServerMessageBusImpl.sendGlobal(ServerMessageBusImpl.java:632)
14:57:52,751 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.SimpleDispatcher.dispatchGlobal(SimpleDispatcher.java:46)
14:57:52,751 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.service.ErraiServiceImpl.store(ErraiServiceImpl.java:93)
14:57:52,751 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.service.ErraiServiceImpl.store(ErraiServiceImpl.java:107)
14:57:52,751 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.servlet.DefaultBlockingServlet.doPost(DefaultBlockingServlet.java:117)
14:57:52,752 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at javax.servlet.http.HttpServlet.service(HttpServlet.java:754)
14:57:52,752 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
14:57:52,752 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
14:57:52,752 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
14:57:52,753 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:65)
14:57:52,753 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
14:57:52,753 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
14:57:52,753 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74)
14:57:52,754 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
14:57:52,754 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
14:57:52,754 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70)
14:57:52,754 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
14:57:52,755 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
14:57:52,755 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.uberfire.security.server.UberFireSecurityFilter.doFilter(UberFireSecurityFilter.java:233)
14:57:52,755 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
14:57:52,755 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
14:57:52,756 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
14:57:52,756 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
14:57:52,756 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)
14:57:52,756 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)
14:57:52,757 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)
14:57:52,757 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
14:57:52,757 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
14:57:52,757 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
14:57:52,758 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:408)
14:57:52,758 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
14:57:52,758 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
14:57:52,758 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
14:57:52,759 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
14:57:52,759 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
14:57:52,759 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at java.lang.Thread.run(Thread.java:662)
14:57:52,760 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) Caused by: java.lang.RuntimeException: Operation failed
14:57:52,760 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.shared.services.impl.JbpmServicesPersistenceManagerImpl.queryWithParametersInTransaction(JbpmServicesPersistenceManagerImpl.java:421)
14:57:52,761 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.shared.services.impl.JbpmServicesPersistenceManagerImpl.queryWithParametersInTransaction(JbpmServicesPersistenceManagerImpl.java:428)
14:57:52,761 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskQueryServiceImpl.getTasksAssignedAsPotentialOwnerByStatusByGroup(TaskQueryServiceImpl.java:243)
14:57:52,761 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskQueryServiceImpl$Proxy$_$$_WeldSubclass.getTasksAssignedAsPotentialOwnerByStatusByGroup(TaskQueryServiceImpl$Proxy$_$$_WeldSubclass.java)
14:57:52,761 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.identity.UserGroupTaskQueryServiceDecorator.getTasksAssignedAsPotentialOwnerByStatus(UserGroupTaskQueryServiceDecorator.java:71)
14:57:52,762 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
14:57:52,762 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
14:57:52,762 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
14:57:52,762 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at java.lang.reflect.Method.invoke(Method.java:597)
14:57:52,763 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267)
14:57:52,763 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52)
14:57:52,763 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137)
14:57:52,763 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263)
14:57:52,764 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.introspector.jlr.WeldMethodImpl.invokeOnInstance(WeldMethodImpl.java:170)
14:57:52,764 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.bean.proxy.DecoratorProxyMethodHandler.doInvoke(DecoratorProxyMethodHandler.java:79)
14:57:52,764 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.interceptor.util.proxy.TargetInstanceProxyMethodHandler.invoke(TargetInstanceProxyMethodHandler.java:36)
14:57:52,764 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.bean.proxy.TargetBeanInstance.invoke(TargetBeanInstance.java:88)
14:57:52,765 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:105)
14:57:52,765 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskQueryServiceImpl$Proxy$_$$_Weld$Proxy$.getTasksAssignedAsPotentialOwnerByStatus(TaskQueryServiceImpl$Proxy$_$$_Weld$Proxy$.java)
14:57:52,765 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
14:57:52,765 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
14:57:52,766 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
14:57:52,766 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at java.lang.reflect.Method.invoke(Method.java:597)
14:57:52,766 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267)
14:57:52,766 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52)
14:57:52,767 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137)
14:57:52,767 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263)
14:57:52,767 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.weld.bean.proxy.CombinedInterceptorAndDecoratorStackMethodHandler.invoke(CombinedInterceptorAndDecoratorStackMethodHandler.java:61)
14:57:52,768 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskQueryServiceImpl$Proxy$_$$_WeldSubclass.getTasksAssignedAsPotentialOwnerByStatus(TaskQueryServiceImpl$Proxy$_$$_WeldSubclass.java)
14:57:52,768 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskQueryServiceImpl$Proxy$_$$_WeldClientProxy.getTasksAssignedAsPotentialOwnerByStatus(TaskQueryServiceImpl$Proxy$_$$_WeldClientProxy.java)
14:57:52,768 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskServiceEntryPointImpl.getTasksAssignedAsPotentialOwnerByStatus(TaskServiceEntryPointImpl.java:366)
14:57:52,768 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.services.task.impl.TaskServiceEntryPointImpl$Proxy$_$$_WeldClientProxy.getTasksAssignedAsPotentialOwnerByStatus(TaskServiceEntryPointImpl$Proxy$_$$_WeldClientProxy.java)
14:57:52,769 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.console.ng.ht.backend.server.TaskServiceEntryPointImpl.getTasksAssignedAsPotentialOwnerByExpirationDateOptional(TaskServiceEntryPointImpl.java:75)
14:57:52,769 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.console.ng.ht.backend.server.TaskServiceEntryPointImpl$Proxy$_$$_WeldClientProxy.getTasksAssignedAsPotentialOwnerByExpirationDateOptional(TaskServiceEntryPointImpl$Proxy$_$$_WeldClientProxy.java)
14:57:52,769 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
14:57:52,770 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
14:57:52,770 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
14:57:52,770 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at java.lang.reflect.Method.invoke(Method.java:597)
14:57:52,771 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.errai.bus.server.io.ConversationalEndpointCallback.callback(ConversationalEndpointCallback.java:114)
14:57:52,771 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         ... 39 more
14:57:52,772 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) Caused by: javax.persistence.PersistenceException: org.hibernate.exception.SQLGrammarException: could not extract ResultSet
14:57:52,772 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.ejb.AbstractEntityManagerImpl.convert(AbstractEntityManagerImpl.java:1387)
14:57:52,772 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.ejb.AbstractEntityManagerImpl.convert(AbstractEntityManagerImpl.java:1310)
14:57:52,773 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.ejb.QueryImpl.getResultList(QueryImpl.java:273)
14:57:52,773 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.shared.services.impl.JbpmServicesPersistenceManagerImpl.queryWithParameters(JbpmServicesPersistenceManagerImpl.java:461)
14:57:52,773 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jbpm.shared.services.impl.JbpmServicesPersistenceManagerImpl.queryWithParametersInTransaction(JbpmServicesPersistenceManagerImpl.java:410)
14:57:52,773 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         ... 77 more
14:57:52,774 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) Caused by: org.hibernate.exception.SQLGrammarException: could not extract ResultSet
14:57:52,775 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.exception.internal.SQLStateConversionDelegate.convert(SQLStateConversionDelegate.java:122)
14:57:52,775 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert(StandardSQLExceptionConverter.java:49)
14:57:52,776 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:125)
14:57:52,777 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:110)
14:57:52,777 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.engine.jdbc.internal.ResultSetReturnImpl.extract(ResultSetReturnImpl.java:61)
14:57:52,778 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.getResultSet(Loader.java:2031)
14:57:52,778 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.executeQueryStatement(Loader.java:1832)
14:57:52,778 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.executeQueryStatement(Loader.java:1811)
14:57:52,779 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.doQuery(Loader.java:899)
14:57:52,779 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.doQueryAndInitializeNonLazyCollections(Loader.java:341)
14:57:52,779 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.doList(Loader.java:2516)
14:57:52,779 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.doList(Loader.java:2502)
14:57:52,780 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.listIgnoreQueryCache(Loader.java:2332)
14:57:52,780 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.Loader.list(Loader.java:2327)
14:57:52,780 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.loader.hql.QueryLoader.list(QueryLoader.java:490)
14:57:52,780 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.hql.internal.ast.QueryTranslatorImpl.list(QueryTranslatorImpl.java:355)
14:57:52,781 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.engine.query.spi.HQLQueryPlan.performList(HQLQueryPlan.java:195)
14:57:52,781 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.internal.SessionImpl.list(SessionImpl.java:1268)
14:57:52,781 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.internal.QueryImpl.list(QueryImpl.java:101)
14:57:52,781 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.ejb.QueryImpl.getResultList(QueryImpl.java:264)
14:57:52,782 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         ... 79 more
14:57:52,782 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) Caused by: com.microsoft.sqlserver.jdbc.SQLServerException: El tipo de datos text no se puede seleccionar como DISTINCT porque no es comparable.
14:57:52,783 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerException.makeFromDatabaseError(SQLServerException.java:216)
14:57:52,783 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerStatement.getNextResult(SQLServerStatement.java:1515)
14:57:52,783 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement.doExecutePreparedStatement(SQLServerPreparedStatement.java:404)
14:57:52,783 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement$PrepStmtExecCmd.doExecute(SQLServerPreparedStatement.java:350)
14:57:52,784 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.TDSCommand.execute(IOBuffer.java:5696)
14:57:52,784 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerConnection.executeCommand(SQLServerConnection.java:1715)
14:57:52,784 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeCommand(SQLServerStatement.java:180)
14:57:52,784 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeStatement(SQLServerStatement.java:155)
14:57:52,785 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement.executeQuery(SQLServerPreparedStatement.java:285)
14:57:52,785 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.jboss.jca.adapters.jdbc.WrappedPreparedStatement.executeQuery(WrappedPreparedStatement.java:462)
14:57:52,785 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         at org.hibernate.engine.jdbc.internal.ResultSetReturnImpl.extract(ResultSetReturnImpl.java:56)
14:57:52,785 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4)         ... 94 more
14:57:52,786 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) *** Message delivery failure ***
14:57:52,786 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) Bus: org.jboss.errai.bus.server.ServerMessageBusImpl@6997acad
14:57:52,786 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) Message: CommandType=getTasksAssignedAsPotentialOwnerByExpirationDateOptional:java.lang.String:java.util.List:java.util.Date:java.lang.String:, ErrorTo=org.jbpm.console.ng.ht.service.TaskServiceEntryPoint:RPC.getTasksAssignedAsPotentialOwnerByExpirationDateOptional:java.lang.String:java.util.List:java.util.Date:java.lang.String::Errors:105, ReplyTo=org.jbpm.console.ng.ht.service.TaskServiceEntryPoint:RPC.getTasksAssignedAsPotentialOwnerByExpirationDateOptional:java.lang.String:java.util.List:java.util.Date:java.lang.String::RespondTo:105, ToSubject=org.jbpm.console.ng.ht.service.TaskServiceEntryPoint:RPC, MethodParms=[jorge@corp.bbvamock.com, [Ready, Reserved, InProgress], null, en-UK]
14:57:52,786 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) errorMessage: Error calling remote service: org.jbpm.console.ng.ht.service.TaskServiceEntryPoint:RPC
14:57:52,786 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) exception: org.jboss.errai.bus.client.api.base.MessageDeliveryFailure: error invoking endpoint
14:57:52,787 ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-4) disconnect: false
Comment 2 Mauricio Salatino 2013-08-08 07:24:27 EDT
I've just run the mssql 2008R2 jbpm-human-task-core tests here: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/droolsjbpm-persistence-db-single/27/console

And everything seems to be working with the latest version.
Comment 3 Mauricio Salatino 2013-08-08 11:49:16 EDT
This is already fixed in CR2
Comment 4 Zuzana Krejčová 2013-10-21 03:31:28 EDT
Works in ER4.
Tested empty Tasks list, HT added via New Task and HT from a process instance.

Note You need to log in before you can comment on or make changes to this bug.